
QGIS Application - Bug report #20042

Crash during closing the program

2018-10-07 11:02 AM - Massimo Calosi

Status: Closed

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:3.2.3 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27864

Description

User Feedback

Report Details

Crash ID: 92ef31e937cd660304e6d8f8a3bc5989713cbe10

Stack Trace

QObject::thread :

QgsNetworkAccessManager::instance :

selectWidget :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::crbegin :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::push_back :

QgsRasterDataProvider::block :

QgsSingleBandColorDataRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayerRendererFeedback::onNewData :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::crbegin :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::push_back :

QgsRasterDataProvider::block :

QgsSingleBandColorDataRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayerRenderer::render :

QgsMapRendererParallelJob::renderLayerStatic :

QgsArchive::zip :

QgsImageOperation::overlayColor :

QgsMapRendererParallelJob::cancelWithoutBlocking :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-10-08 02:00 AM - Nyall Dawson

- Status changed from Open to Feedback

More detail is needed. Do you see this every time? Have you any plugins installed?

#2 - 2019-02-11 05:03 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
